Node.TemplateText (Jasper Internal API Documentation)
Keywords: org.apache.jasper.compiler.Node.TemplateText class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class Node.TemplateText

    java.lang.Object
      org.apache.jasper.compiler.Node
          org.apache.jasper.compiler.Node.TemplateText

Enclosing class:
  Node

public static class Node.TemplateText
extends Node

Represents a template text string

Nested Class Summary

Nested classes inherited from class org.apache.jasper.compiler.Node
`Node.Comment, Node.CustomTag, Node.Declaration, Node.Expression, Node.FallBackAction, Node.ForwardAction, Node.GetProperty, Node.IncludeAction, Node.IncludeDirective, Node.JspAttribute, Node.JspRoot, Node.JspText, Node.Nodes, Node.PageDirective, Node.ParamAction, Node.ParamsAction, Node.PlugIn, Node.Root, Node.ScriptingElement, Node.Scriptlet, Node.SetProperty, Node.TaglibDirective, Node.TemplateText, Node.UninterpretedTag, Node.UseBean, Node.Visitor`

Field Summary

Fields inherited from class org.apache.jasper.compiler.Node
`attrs, beginJavaLine, body, endJavaLine, parent, startMark, text`

Constructor Summary
`Node.TemplateText(char[] text, Mark start, Node parent)`

Method Summary
`void` | `accept(Node.Visitor v)`

Methods inherited from class org.apache.jasper.compiler.Node
`getAttributes, getAttributeValue, getBeginJavaLine, getBody, getEndJavaLine, getParent, getStart, getText, isXmlSyntax, setAttributes, setBeginJavaLine, setBody, setEndJavaLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Node.TemplateText

    public Node.TemplateText(char[] text,
                             Mark start,
                             Node parent)

Method Detail

### accept

    public void accept(Node.Visitor v)
                throws JasperException

  Parameters:
    `v` - The visitor class
  Throws:
    `JasperException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.